jQuery(document).ready(function($) {

    if(neatmag_ajax_object.sticky_menu){
    // grab the initial top offset of the navigation 
    var neatmagstickyNavTop = $('.neatmag-primary-menu-container').offset().top;
    
    // our function that decides weather the navigation bar should have "fixed" css position or not.
    var neatmagstickyNav = function(){
        var neatmagscrollTop = $(window).scrollTop(); // our current vertical position from the top
             
        // if we've scrolled more than the navigation, change its position to fixed to stick to top,
        // otherwise change it back to relative

        if(window.innerWidth > 1112) {
            if (neatmagscrollTop > neatmagstickyNavTop) {
                $('.neatmag-primary-menu-container').addClass('neatmag-fixed');
            } else {
                $('.neatmag-primary-menu-container').removeClass('neatmag-fixed'); 
            }
        }
    };

    neatmagstickyNav();
    // and run it again every time you scroll
    $(window).scroll(function() {
        neatmagstickyNav();
    });
    }

    $(".neatmag-nav-primary .neatmag-primary-nav-menu").addClass("neatmag-primary-responsive-menu");

    $(".neatmag-primary-responsive-menu-icon").click(function(){
        $(this).next(".neatmag-nav-primary .neatmag-primary-nav-menu").slideToggle();
    });

    $(window).resize(function(){
        if(window.innerWidth > 1112) {
            $(".neatmag-nav-primary .neatmag-primary-nav-menu, nav .sub-menu, nav .children").removeAttr("style");
            $(".neatmag-primary-responsive-menu > li").removeClass("neatmag-primary-menu-open");
        }
    });

    $(".neatmag-primary-responsive-menu > li").click(function(event){
        if (event.target !== this)
        return;
        $(this).find(".sub-menu:first").toggleClass('neatmag-submenu-toggle').parent().toggleClass("neatmag-primary-menu-open");
        $(this).find(".children:first").toggleClass('neatmag-submenu-toggle').parent().toggleClass("neatmag-primary-menu-open");
    });

    $("div.neatmag-primary-responsive-menu > ul > li").click(function(event) {
        if (event.target !== this)
            return;
        $(this).find("ul:first").toggleClass('neatmag-submenu-toggle').parent().toggleClass("neatmag-primary-menu-open");
    });

    $(".neatmag-social-search-icon").on('click', function (e) {
        e.preventDefault();
        $('.neatmag-social-search-box').slideToggle(400);
    });

    $(".post").fitVids();

    var scrollButtonEl = $( '.neatmag-scroll-top' );
    scrollButtonEl.hide();

    $( window ).scroll( function () {
        if ( $( window ).scrollTop() < 20 ) {
            $( '.neatmag-scroll-top' ).fadeOut();
        } else {
            $( '.neatmag-scroll-top' ).fadeIn();
        }
    } );

    scrollButtonEl.click( function () {
        $( "html, body" ).animate( { scrollTop: 0 }, 300 );
        return false;
    } );

    if(neatmag_ajax_object.sticky_sidebar){
    $('#neatmag-main-wrapper, #neatmag-sidebar-wrapper').theiaStickySidebar({
        containerSelector: "#neatmag-content-wrapper",
        additionalMarginTop: 0,
        additionalMarginBottom: 0,
        minWidth: 785,
    });
    }

    $(".neatmag-full-post").attr("tabindex",0);
    $(".neatmag-list-post").attr("tabindex",0);

});